org.apache.lucene.spatial3d.geom

## Interface PlanetObject

- All Superinterfaces:
    SerializableObject
  All Known Subinterfaces:
    GeoAreaShape, GeoBBox, GeoCircle, GeoDistanceShape, GeoMembershipShape, GeoPath, GeoPointShape, GeoPolygon, GeoShape, XYZSolid
  All Known Implementing Classes:
    BasePlanetObject, GeoBaseCompositeShape, GeoBaseDistanceShape, GeoBaseMembershipShape, GeoBaseShape, GeoCompositeAreaShape, GeoCompositeMembershipShape, GeoCompositePolygon, GeoDegenerateVerticalLine

      public interface PlanetObject
      extends SerializableObject

  Relates all Geo3d shape with a specific `PlanetModel`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlanetModel` | `getPlanetModel()` Returns the `PlanetModel` provided when this shape was created.

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

      `readBitSet, readBoolean, readByteArray, readClass, readDouble, readHeterogeneousArray, readHomogeneousArray, readInt, readLong, readObject, readObject, readObject, readObject, readPlanetObject, readPointArray, readPolygonArray, readString, write, writeBitSet, writeBoolean, writeByteArray, writeClass, writeDouble, writeHeterogeneousArray, writeHeterogeneousArray, writeHomogeneousArray, writeHomogeneousArray, writeInt, writeLong, writeObject, writePlanetObject, writePointArray, writePointArray, writePolygonArray, writePolygonArray, writeString`

- - ### Method Detail

    - #### getPlanetModel

          PlanetModel getPlanetModel()

      Returns the `PlanetModel` provided when this shape was created.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.